Subject: Re: [PATCH v9 3/5] cat-file: teach cat-file a '--allow-unknown-type' option

From: karthik nayak <[email-masked]>
Date: Wed, 29 Apr 2015 23:14:50 +0530

On 04/29/2015 08:23 PM, Phil Hord wrote:
> On Wed, Apr 29, 2015 at 9:01 AM Karthik Nayak <[email-masked]>
> wrote:
> >
> > Currently 'git cat-file' throws an error while trying to
> > print the type or size of a broken/corrupt object. This is
> > because these objects are usually of unknown types.
> >
> > Teach git cat-file a '--allow-unkown-type' option where it prints
> > the type or size of a broken/corrupt object without throwing
> > an error.
>
> In this entire series, replace all 'unkown' with 'unknown' in both the
> commit messages and the code ("unknown" is misspelled most of the
> time).  I notice the switch name itself is misspelled, but also
> variable names such as 'unkown_type' in this patch.
>
> Respectfully, because I know English is a challenging beast sometimes,
> and spelling is difficult even for many native speakers...
>
Thanks for that, Yes it does get a bit tricky with spellings, will find 
an editor with spellcheck and avoid nano :D